From: Anton Gladky <gladk@debian.org>
Date: Wed, 16 Dec 2020 22:02:19 +0100
Subject: Fix FTBFS against boost1.74. (Closes: #975660)

---
 src/error.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/error.h b/src/error.h
index a9a5203..ed35e6f 100644
--- a/src/error.h
+++ b/src/error.h
@@ -36,7 +36,7 @@
 ///
 /// @param[in] err  The error type deriving from boost::exception.
 #define SCRAM_THROW(err)                                                       \
-  throw err << ::boost::throw_function(BOOST_THROW_EXCEPTION_CURRENT_FUNCTION) \
+  throw err << ::boost::throw_function(BOOST_CURRENT_FUNCTION) \
             << ::boost::throw_file(FILE_REL_PATH)                              \
             << ::boost::throw_line(__LINE__)
 
